Stop Agent

Stop Agent
Stop agent on the specified resources

Stop agent on the specified resources

Request
URI
PUT
https://{api_host}/suite-api/api/applications/agents/stop
COPY
Request Body

IDs of resources

resource-parameters of type(s) application/json
Required

Show optional properties

{
    "contextResourceIDs": [
        {}
    ]
}
"{\n  \"contextResourceIDs\" : [ \"a9775cec-fa83-4fa5-81b6-864cbf2506dd\", \"99419625-144f-4604-81f0-1bbd5a32569a\" ]\n}"
array of string
contextResourceIDs
Required

Collection of resource IDs

Authentication
This operation uses the following authentication methods.
Responses
200

The result of task status

Returns agent-task-statuses of type(s) application/json
"{\n  \"taskStatuses\" : [ {\n    \"taskID\" : \"task_id_1\",\n    \"resources\" : [ \"vm_id_1\", \"vm_id_2\" ]\n  }, {\n    \"taskID\" : \"task_id_2\",\n    \"resources\" : [ \"vm_id_3\", \"vm_id_4\" ]\n  } ]\n}"
array of object
taskStatuses
Required

Collection of agent task statuses


Code Samples
COPY
                    curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"contextResourceIDs":["string"]}' https://{api_host}/suite-api/api/applications/agents/stop